## google-guest-agent 20200617.00

=== debian/changelog ===
google-guest-agent (20200617.00-0ubuntu5) groovy; urgency=medium

  * debian/rules: Don't stop or start google-startup-scripts and
    google-shutdown-scripts services

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 03 Oct 2020 00:47:33 +0200

google-guest-agent (20200617.00-0ubuntu4) groovy; urgency=medium

  * debian/gbp.conf: Use Ubuntu tags
  * Don't ship /etc/default/instance_configs.cfg.
    Also don't remove it when it exists according to upstream's request.
  * debian/extra/vendor/*: Add vendored module sources
  * debian/control: Drop unused Go build dependencies

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 30 Sep 2020 15:01:51 +0200

google-guest-agent (20200617.00-0ubuntu3) groovy; urgency=medium

  * debian/copyright: Use "Google Inc" as copyright holder
    instead of Google Cloud Platform

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 25 Aug 2020 19:41:08 +0200

google-guest-agent (20200617.00-0ubuntu2) groovy; urgency=medium

  * Install /etc/default/instance_configs.cfg to the right path

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 13 Aug 2020 23:51:12 +0200

google-guest-agent (20200617.00-0ubuntu1) groovy; urgency=medium

  * Initial release (LP: #1870314)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 23 Jul 2020 15:53:14 +0200
