## google-guest-agent 20201217.02

=== debian/changelog ===
google-guest-agent (20201217.02-0ubuntu1~18.04.0) bionic; urgency=medium

  * Backport to Bionic
  * Relax debhelper requirement to debhelper 10
  * Build with golang-1.13

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 15 Jan 2021 14:19:51 +0100

google-guest-agent (20201217.02-0ubuntu1) hirsute; urgency=medium

  * New upstream release (LP: #1911448)
  * debian/watch: Fix version handing in the download URL
  * Update vendored files

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 13 Jan 2021 19:13:59 +0100

google-guest-agent (20200617.00-0ubuntu8) hirsute; urgency=medium

  * debian/rules: Build the package as preferred by upstream
    - Strip the binary
    - Set main.version (LP: #1900897)
  * Declare Breaks: on python3-google-compute-engine
    to force conscious removal of the Python libraries that are not maintained
    and this package make obsolete. (LP: #1905986)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 13 Jan 2021 13:24:40 +0100

google-guest-agent (20200617.00-0ubuntu7) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:16:15 +0000

google-guest-agent (20200617.00-0ubuntu6) groovy; urgency=medium

  * Import relevant patches from earlier gce-compute-image-packages package
    (LP: #1901033)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 22 Oct 2020 17:29:37 +0200
