=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 10),
                dh-golang,
-               golang-any
+               golang-1.13
 Standards-Version: 4.5.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent -b ubuntu/master
@@ -19,7 +19,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
-Breaks: gce-compute-image-packages (<< 20191115)
+Breaks: gce-compute-image-packages (<< 20191115),
+        python3-google-compute-engine
 Replaces: gce-compute-image-packages (<< 20191115)
 Description: Google Compute Engine Guest Agent
  Contains the guest agent and metadata script runner binaries.
