## google-guest-agent 20210414.00

=== debian/changelog ===
google-guest-agent (20210414.00-0ubuntu1~16.04.0) xenial; urgency=medium

  * Rebuild for Xenial

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 15 Apr 2021 21:07:47 +0200

google-guest-agent (20210414.00-0ubuntu1) hirsute; urgency=medium

  * New upstream release (LP: #1924589)
    - call restorecon on ssh host keys (#98)
    - add ipv6 forwarded ip support (#101)
    - add a match block to sshd_config for SAs (#99)
    - Update error message for handleHealthCheckRequest. (#105)
    - Add systemd-networkd.service restart dependency
    - start sshd

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 15 Apr 2021 18:18:15 +0200

google-guest-agent (20201217.02-0ubuntu1~16.04.0) xenial; urgency=medium

  * Backport to Xenial
  * Relax debhelper requirement to debhelper 9
  * Build with golang-1.13

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 15 Jan 2021 14:19:51 +0100
