=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 10),
+Build-Depends: debhelper (>= 9),
                dh-golang,
+               dh-systemd,
                golang-1.13
 Standards-Version: 4.5.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent
