## google-guest-agent 20210629.00

=== debian/changelog ===
google-guest-agent (20210629.00-0ubuntu1~18.04.1) bionic; urgency=medium

  * d/rules: Set GO111MODULE to "off" to avoid
    using internet during build.

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Wed, 08 Sep 2021 23:05:26 +0530

google-guest-agent (20210629.00-0ubuntu1~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic. (LP: #1938286)
    - Lower dh-compat to 11.
    - Use golang-1.13-go instead of golang-any.

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Thu, 02 Sep 2021 17:35:03 +0530

google-guest-agent (20210629.00-0ubuntu1) impish; urgency=medium

  * New upstream version 20210629.00. (LP: #1938286)
    - start sshd (#106).
    - more granular service restarts (#111).
    - systemd-notify in agentInit (#113).
    - use IP for MDS (#115).

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Wed, 28 Jul 2021 17:03:35 +0530
