=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,17 @@
 #!/usr/bin/make -f
 
-export PATH := /usr/lib/go-1.13/bin:${PATH}
-# do what newer dh-golang would do to work with Go 1.13
-export GOCACHE := ${CURDIR}/_build/go-build
-export GO111MODULE = off
+# use Go 1.13 as golang-any defaults to Go 1.10, which
+# doesn't have new features needed by this package.
+export PATH := /usr/lib/go-1.13/bin:$(PATH)
+
+# temporary build path; needed by newer Go.
+OUR_GOPATH := $(CURDIR)/.gopath
+export GOPATH := $(OUR_GOPATH)
+export GOCACHE := $(CURDIR)/.gocache
+
+# GO111MODULE needs to be set to "off" to avoid checking
+# modules information online.
+export GO111MODULE := off
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
