## google-guest-agent 20211116.00

=== debian/changelog ===
google-guest-agent (20211116.00-6) unstable; urgency=medium

  * Don't try to start any services on installation.  (closes: #1010991)

 -- Bastian Blank <waldi@debian.org>  Mon, 16 May 2022 11:40:29 +0200

google-guest-agent (20211116.00-5) unstable; urgency=medium

  * Use a git-aware source format.
  * Cleanup systemd units from clutter.
  * Make sure all tools can show proper version info.

 -- Bastian Blank <waldi@debian.org>  Fri, 06 May 2022 14:41:26 +0200

google-guest-agent (20211116.00-4) unstable; urgency=medium

  * Team uplaod.

  [ Michael Sprengel ]
  * Add default configuration from upstream

  [ Dominik George ]
  * Remove myself from uploaders.
  * Add Michael Banck as uploader.

 -- Dominik George <natureshadow@debian.org>  Fri, 01 Apr 2022 13:20:45 +0200

google-guest-agent (20211116.00-3) unstable; urgency=medium

  * Replace+Conflict+Provide python3-google-compute-engine (Closes: #1004071)

 -- Dominik George <natureshadow@debian.org>  Thu, 10 Feb 2022 09:44:05 +0100

google-guest-agent (20211116.00-2) unstable; urgency=medium

  [ Bastian Blank ]
  * Fix maintainer.

 -- Dominik George <natureshadow@debian.org>  Thu, 20 Jan 2022 13:00:53 +0100

google-guest-agent (20211116.00-1) unstable; urgency=medium

  * Initial release

 -- Dominik George <natureshadow@debian.org>  Tue, 30 Nov 2021 13:26:51 +0100
