=== debian/control ===
Source: google-guest-agent
Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-go-ini-ini-dev,
               golang-github-golang-groupcache-dev,
               golang-github-kardianos-service-dev,
               golang-github-tarm-serial-dev,
               golang-google-cloud-dev,
               golang-github-googlecloudplatform-guest-logging-go-dev,
               golang-google-grpc-dev,
               golang-goprotobuf-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/cloud-team/google-guest-agent
Vcs-Git: https://salsa.debian.org/cloud-team/google-guest-agent.git
Homepage: https://github.com/GoogleCloudPlatform/guest-agent
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/GoogleCloudPlatform/guest-agent

Package: google-guest-agent
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: python3-google-compute-engine
Conflicts: python3-google-compute-engine
Provides: python3-google-compute-engine
Built-Using: ${misc:Built-Using}
Description: Guest Agent for Google Compute Engine
 Google Guest Agent is a daemon that enables guest features for interacting
 with the host on Google Cloud Engine.
 .
 These features include:
 .
  * Account management based on meta-data
  * Configuring OS Login against GCP
  * Detecting and preventing clock skew
  * Enable/disable/configure network interfaces and routes
  * Set performance options for storage and network
