## google-guest-agent 20220622.00

=== debian/changelog ===
google-guest-agent (20220622.00-0ubuntu2~20.04.0) focal; urgency=medium

  * No-change rebuild for Focal. (LP: #1980725)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 05 Jul 2022 17:08:17 +0530

google-guest-agent (20220622.00-0ubuntu2) kinetic; urgency=medium

  * d/rules: don't build google_authorized_keys as it
    conflicts with the same binary shipped by
    src:google-compute-engine-oslogin. (LP: #1980725)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 05 Jul 2022 14:43:54 +0530

google-guest-agent (20220622.00-0ubuntu1~20.04.0) focal; urgency=medium

  * No-change rebuild for Focal. (LP: #1959392)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Fri, 24 Jun 2022 17:27:21 +0530

google-guest-agent (20220622.00-0ubuntu1) kinetic; urgency=medium

  * New upstream version 20220622.00. (LP: #1959392)
    - Remove extra slash from metadata URL. (#151)
    - Remove han from owners. (#154)
    - Enable routes for ipv6. (#160)
    - Enable goproxy during build. (#163)
    - Move some functionality to a utils module. (#162)
    - Support .exe as an option for scripts and refactor runScript. (#165)
    - Restore double slash metadata url. (#166)
    - Support for Windows SSH. (#164)
    - Add authorized keys command to the Windows agent package. (#167)
    - No authorized keys on debian. (#168)
    - Repeat fix for arm. (#169)
    - Remove log that can break startup scripts. (#170)
    - Update for golang 1.16. (#171)
    - Try restoring module mode. (#172)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Fri, 24 Jun 2022 13:26:57 +0530

google-guest-agent (20210629.00-0ubuntu1~20.04.0) focal; urgency=medium

  * No-change rebuild for Focal. (LP: #1938286)

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Thu, 02 Sep 2021 17:22:45 +0530
