## google-guest-agent 20230426.00

=== debian/changelog ===
google-guest-agent (20230426.00-0ubuntu2~20.04.0) focal; urgency=medium

  * No-change rebuild for Focal.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 25 May 2023 13:16:13 +0530

google-guest-agent (20230426.00-0ubuntu2) mantic; urgency=medium

  * d/rules: Add --no-stop-on-upgrade for upgrade path
    to enforce no stop of the services on package upgrade.
    This has the desired side-effect of not stopping, starting or
    restarting the services as a part of the upgrade (LP: #2019089)
  * d/{rules,install}: ship gce-workload-cert-refresh.timer.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 16 May 2023 11:11:11 +0530

google-guest-agent (20230426.00-0ubuntu1~20.04.0) focal; urgency=medium

  * No-change rebuild for Focal.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 02 May 2023 10:17:32 +0200

google-guest-agent (20230426.00-0ubuntu1) mantic; urgency=medium

  * New upstream version 20230426.00. (LP: #2018272)
    - update mod: update golang.org/x/net to 0.7.0 and its
      dependencies.
    - Fix compilation directives.
  * d/extra/vendor: Update vendored dependencies.
    (Fixes: CVE-2022-41723)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 02 May 2023 08:51:38 +0200

google-guest-agent (20230330.00-0ubuntu1~20.04.0) focal; urgency=medium

  * No-change rebuild for Focal. (LP: #2016593)
  * d/{rules,control}: Use Go 1.18 for build

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 26 Apr 2023 14:53:35 +0200
