## google-guest-agent 20231004.02

=== debian/changelog ===
google-guest-agent (20231004.02-0ubuntu1~20.04.4) focal-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 10 Jul 2024 08:53:49 +0530

google-guest-agent (20231004.02-0ubuntu1~20.04.3) focal-security; urgency=medium

  * d/control: Add a dependency on `google-compute-engine-oslogin`
    (LP: #2050956)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Sat, 27 Jan 2024 01:44:03 +0000

google-guest-agent (20231004.02-0ubuntu1~20.04.2) focal-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 18 Jan 2024 10:05:39 +0530

google-guest-agent (20231004.02-0ubuntu1~20.04.1) focal; urgency=medium

  * No-change rebuild for Focal.
  * Use Golang 1.21 as requested by Google.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 20 Nov 2023 18:16:06 +0530

google-guest-agent (20231004.02-0ubuntu1) noble; urgency=medium

  * New upstream version 20231004.02. (LP: #2040945)
  * d/extra/vendor: Update vendored dependencies.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 26 Oct 2023 03:12:14 +0100
