=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
-               golang-1.18-go
+               golang-1.21-go
 Standards-Version: 4.5.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent -b ubuntu/master
@@ -17,7 +17,8 @@
 Package: google-guest-agent
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         google-compute-engine-oslogin (>=20231004.00-0ubuntu1~20.04.1)
 Built-Using: ${misc:Built-Using}
 Breaks: gce-compute-image-packages (<< 20191115),
         python3-google-compute-engine
