## google-guest-agent 20240213.00

=== debian/changelog ===
google-guest-agent (20240213.00-0ubuntu3) noble; urgency=medium

  * No-change rebuild against Go 1.22.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 08 Apr 2024 14:53:33 +1200

google-guest-agent (20240213.00-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:50:39 +1100

google-guest-agent (20240213.00-0ubuntu1) noble; urgency=medium

  [ Utkarsh Gupta ]
  * Add a reason to include include-binaries file.

  [ Chloé 'kajiya' Smith ]
  * New upstream version, v20240213.00. (LP: #2054484)
  * d/extra/vendor: Update the vendored dependencies.
  * d/source/include-binaries: add new file.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Wed, 21 Feb 2024 00:25:47 +0000

google-guest-agent (20231004.02-0ubuntu3) noble; urgency=medium

  * d/control: Fix dependency version of `google-compute-engine-oslogin`
    to match archive (LP: #2050956)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Fri, 26 Jan 2024 15:12:02 +0000

google-guest-agent (20231004.02-0ubuntu2) noble; urgency=medium

  * d/control: There should b a dependency on `google-compute-engine-oslogin`
    to match the Google managed control file (LP: #2050956)
    * Also updated the `Vcs-` fields and removed the `Uploaders` field.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Tue, 23 Jan 2024 13:43:24 +0000
