=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
-               golang-1.21-go
+               golang-any
 Standards-Version: 4.5.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent -b ubuntu/master
@@ -18,7 +18,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         google-compute-engine-oslogin (>=20231004.00-0ubuntu1~20.04.1)
+         google-compute-engine-oslogin (>= 20231004.00-0ubuntu1)
 Built-Using: ${misc:Built-Using}
 Breaks: gce-compute-image-packages (<< 20191115),
         python3-google-compute-engine
