=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,6 @@
 #!/usr/bin/make -f
 
-# use Go 1.21 as requested by Google.
-export PATH := /usr/lib/go-1.21/bin:$(PATH)
-
 export DH_GOLANG_BUILDPKG := github.com/GoogleCloudPlatform/guest-agent/google_guest_agent github.com/GoogleCloudPlatform/guest-agent/google_metadata_script_runner github.com/GoogleCloudPlatform/guest-agent/gce_workload_cert_refresh
-
-# use Go 1.18 as golang-any defaults to Go 1.13, which
-# doesn't have new features needed by this package.
-export PATH := /usr/lib/go-1.18/bin:$(PATH)
-
-# temporary build path; needed by newer Go.
-OUR_GOPATH := $(CURDIR)/.gopath
-export GOPATH := $(OUR_GOPATH)
-export GOCACHE := $(CURDIR)/.gocache
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
