## google-guest-agent 20240716.00

=== debian/changelog ===
google-guest-agent (20240716.00-0ubuntu1~20.04.0) focal; urgency=medium

  * No-change rebuild for Focal.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Thu, 25 Jul 2024 20:01:29 +0100

google-guest-agent (20240716.00-0ubuntu1) oracular; urgency=medium

  [ Utkarsh Gupta ]
  * New upstream version 20240716.00. (LP: #2073163)
  * Update vendored dependencies.
  * Set DH_GOLANG_INSTALL_EXTRA to editions_defaults.binpb.

  [ Chloé Smith ]
  * d/p/0006-add-after-cloud-config-service.patch: add patch
    to force ordering between cloud-init and the guest agent.
    (LP: #2057965)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 18 Jul 2024 23:47:17 +0530

google-guest-agent (20240213.00-0ubuntu4) oracular; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/extra/vendor/googgle.golang.org/protobuf was
      patched with a backport of f01a588e5810b90996452eec4a28f22a0afae023
      in files encoding/protojson/well_known_types.go,
      internal/encoding/json/decode.go.
    - debian/extra/vendor adding patches-applied and README.txt for
      track/documentation propose about patches applied in vendored sources.
    - CVE-2024-24786

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 12 Jun 2024 10:15:12 -0300
