## google-guest-agent 20241011.01

=== debian/changelog ===
google-guest-agent (20241011.01-0ubuntu1~18.04.0) bionic; urgency=medium

  * No-change rebuild for Bionic (LP: #2084498) 

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Tue, 26 Nov 2024 23:11:47 +0000

google-guest-agent (20241011.01-0ubuntu1) plucky; urgency=medium

  * New version for upstream tag 20241011.01. (LP: #2084498)
     * Revendor golang dependencies.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Mon, 14 Oct 2024 20:46:56 +0100

google-guest-agent (20240716.00-0ubuntu1~18.04.0) bionic; urgency=medium

  * No-change rebuild for Bionic.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 05 Sep 2024 16:33:31 +0530

google-guest-agent (20231004.02-0ubuntu1~18.04.2) bionic; urgency=medium

  * Use dh-golang >= 1.34.3 for building g-g-a.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 22 Nov 2023 18:57:31 +0000

google-guest-agent (20231004.02-0ubuntu1~18.04.1) bionic; urgency=medium

  * No-change rebuild for Bionic.
  * Use Go 1.21 as requested by Google.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 22 Nov 2023 08:02:20 +0530

google-guest-agent (20230426.00-0ubuntu2~18.04.0) bionic; urgency=medium

  * No-change rebuild for Bionic.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 25 May 2023 13:22:23 +0530

google-guest-agent (20230426.00-0ubuntu1~18.04.0) bionic; urgency=medium

  * No-change rebuild for Bionic.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 02 May 2023 10:19:08 +0200
