=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,19 @@
 #!/usr/bin/make -f
-
-# use Go 1.21 as requested by Google.
-export PATH := /usr/lib/go-1.21/bin:$(PATH)
 
 export DH_GOLANG_BUILDPKG := github.com/GoogleCloudPlatform/guest-agent/google_guest_agent github.com/GoogleCloudPlatform/guest-agent/google_metadata_script_runner github.com/GoogleCloudPlatform/guest-agent/gce_workload_cert_refresh
 export DH_GOLANG_INSTALL_EXTRA := vendor/google.golang.org/protobuf/internal/editiondefaults/editions_defaults.binpb
 
-# use Go 1.18 as golang-any defaults to Go 1.13, which
-# doesn't have new features needed by this package.
-export PATH := /usr/lib/go-1.18/bin:$(PATH)
+# use Go 1.21 as requested by Google.
+export PATH := /usr/lib/go-1.21/bin:$(PATH)
 
 # temporary build path; needed by newer Go.
 OUR_GOPATH := $(CURDIR)/.gopath
 export GOPATH := $(OUR_GOPATH)
 export GOCACHE := $(CURDIR)/.gocache
+
+# GO111MODULE needs to be set to "off" to avoid checking
+# modules information online.
+export GO111MODULE := off
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
