## google-guest-agent 20250116.00

=== debian/changelog ===
google-guest-agent (20250116.00-0ubuntu1~22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Authorization bypass in SSH protocol
    - debian/extra/vendor/golang.org/x/crypto/ssh/server.go: Change
      maxCachedPubKeys to 1 and change limit checks. Based on:
      https://github.com/golang/crypto/commit/b4f1988a35dee11ec3e05d6bf3e90b695fbd8909
    - CVE-2024-45337

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Thu, 23 Oct 2025 15:25:07 -0230

google-guest-agent (20250116.00-0ubuntu1~22.04.0) jammy; urgency=medium

  * No change rebuild for Jammy Jellyfish.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Thu, 13 Feb 2025 10:48:15 +0000

google-guest-agent (20250116.00-0ubuntu1) plucky; urgency=medium

  * New upstream version for upstream tag 20250116.00. (LP: #2096765)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Mon, 27 Jan 2025 13:26:46 +0000

google-guest-agent (20241011.01-0ubuntu1~22.04.0) jammy; urgency=medium

  * Rebuild for Jammy

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Wed, 06 Nov 2024 21:14:43 +0000

google-guest-agent (20240716.00-0ubuntu1~22.04.0) jammy; urgency=medium

  * No-change rebuild for Jammy.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Fri, 26 Jul 2024 14:49:34 +0100

google-guest-agent (20231004.02-0ubuntu1~22.04.5) jammy-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 10 Jul 2024 09:42:57 +0530

google-guest-agent (20231004.02-0ubuntu1~22.04.4) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/extra/vendor/googgle.golang.org/protobuf was
      patched with a backport of f01a588e5810b90996452eec4a28f22a0afae023
      in files encoding/protojson/well_known_types.go,
      internal/encoding/json/decode.go.
    - debian/extra/vendor adding patches-applied and README.txt for
      track/documentation propose about patches applied in vendored sources.
    - CVE-2024-24786

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 14 Mar 2024 07:08:12 -0300

google-guest-agent (20231004.02-0ubuntu1~22.04.3) jammy-security; urgency=medium

  * d/control: Add a dependency on `google-compute-engine-oslogin`
    (LP: #2050956)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Sat, 27 Jan 2024 01:05:12 +0000

google-guest-agent (20231004.02-0ubuntu1~22.04.2) jammy-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 18 Jan 2024 10:10:54 +0530

google-guest-agent (20231004.02-0ubuntu1~22.04.1) jammy; urgency=medium

  * No-change rebuild for Jammy.
  * Use Golang 1.21 as requested by Google.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 20 Nov 2023 14:32:09 +0530

google-guest-agent (20230426.00-0ubuntu2~22.04.0) jammy; urgency=medium

  * No-change rebuild for Jammy.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 25 May 2023 13:13:37 +0530

google-guest-agent (20230426.00-0ubuntu1~22.04.0) jammy; urgency=medium

  * No-change rebuild for Jammy.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 02 May 2023 10:15:49 +0200

google-guest-agent (20230330.00-0ubuntu1~22.04.0) jammy; urgency=medium

  * No-change rebuild for Jammy. (LP: #2016593)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 26 Apr 2023 14:49:52 +0200

google-guest-agent (20220622.00-0ubuntu2~22.04.0) jammy; urgency=medium

  * No-change rebuild for Jammy. (LP: #1959392)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 05 Jul 2022 17:05:25 +0530

google-guest-agent (20220622.00-0ubuntu1~22.04.0) jammy; urgency=medium

  * No-change rebuild for Jammy. (LP: #1959392)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Fri, 24 Jun 2022 17:09:32 +0530
