=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: google-guest-agent
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Uploaders: Balint Reczey <rbalint@ubuntu.com>
+Uploaders: Utkarsh Gupta <utkarsh@ubuntu.com>
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               dh-golang (>= 1.34.3),
-               golang-for-gce-agents-go
+Build-Depends: debhelper-compat (= 12),
+               dh-golang,
+               golang-1.21-go
 Standards-Version: 4.5.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/google-guest-agent -b ubuntu/master
