## google-guest-agent 20250506.01

=== debian/changelog ===
google-guest-agent (20250506.01-0ubuntu1) questing; urgency=medium

  * New upstream version for upstream tag 20250506.01. (LP: #2113792)
    * Golang revendoring for the bump from 1.20 to 1.23.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Mon, 09 Jun 2025 21:56:02 +0100

google-guest-agent (20250116.00-0ubuntu2) plucky; urgency=medium

  * No-change rebuild against Go 1.24.

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Mon, 24 Feb 2025 09:32:57 +0000
